#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            net
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/net

Name:           golang-org-x-%{repo}-websocket
Version:        0.0.0+git20170424.da118f7
Release:        2.1
Summary:        Websocket implements a client and server for the WebSocket protocol
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_provides}

%description
Package websocket implements a client and server for the WebSocket protocol as specified in RFC 6455.

%prep
%setup -q -n %{repo}-%{version}
rm -rf $(find * -type d | grep -v '^websocket')

%build
%goprep %{import_path}
%gobuild ./websocket

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}/websocket

%files -f file.lst
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS LICENSE PATENTS README

%changelog
* Tue Aug 15 2017 thipp@suse.de
- Remove BuildArch
* Fri Jun  2 2017 thipp@suse.de
- Use full tarball and include %%doc section
* Fri Apr 28 2017 opensuse-packaging@opensuse.org
- Only package and build golang.org/x/net/websocket. Otherwise, we were creating
  a "dependency cycle" because we were building golang.org/x/net which depends
  on golang.org/x/text, which depends on golang.org/x/tools, which depends on
  golang.org/x/net/websocket, which will try to build golang.org/x/net.
- Update to version 0.0.0+git20170424.da118f7:
  * websocket: handle solicited and unsolicited Ping/Pong frames correctly
  * websocket: don't send IPv6 zone identifier in outbound request, per RFC 6874
  * websocket: Be explicit about goroutine safety
  * websocket: remove redundant error handling
  * websocket: fix Read behaviour in hybiFrameReader.Read
  * websocket: use net.Dialer to open tcp connection
  * websocket: limit incoming payload size
  * websocket: use of crypto/rand package in test
  * websocket: drop support for go1.4 or below
  * websocket: mention the gorilla package
* Tue Feb 28 2017 thipp@suse.de
- Update to version 0.0.0+git20170227.906cda9:
  * publicsuffix: update table to latest list from publicsuffix.org
  * internal/netreflect: don't build on go1.9 or above
  * lif: drop support for go1.5
  * route: drop support for go1.5
  * ipv4, ipv6, internal/netreflect, bpf: fix the x/net build
  * http2/hpack: remove hpack's constant time string comparison
  * http2: replace fixedBuffer with dataBuffer
  * http2: Add opt-in option to Framer to allow DataFrame struct reuse
  * http2/hpack: speedup Encoder.searchTable
  * http2: add configurable knobs for the server's receive window
* Mon Feb 27 2017 thipp@suse.de
- Initial commit
- Add _service
- Add rpmlintrc
